Subject: Lead from Live Chat - Rentacardoha.com
From: Arun NA <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sat, 10 Aug 2019 06:07:21 -0400

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Arun NA
E-mail | [email-masked]
Phone Number | (974) 77239861
Lead About | Car Leasing
Date of Rental | 08-12-2019
Length of Rental | 1 month

Details of requirement

I want this car for monthly rent without driver. I live in Nuaija.

I have a Q ID just now and I have a valid Oman driving licence. Can I drive the car here temporary till I get the qatar driving licence?

Date | 08-10-2019

| |